#include <iostream>

using namespace std;
int mini(int a,int b,int c)
{
    if(a<b)
        if(a<c)
            return a;
        else
            return c;
    else
        if(b<c)
            return b;
        else
            return c;
}
int main()
{
    int n,m;
    char s[20][20];
    cin>>n>>m;
    for(int i=0;i<n;i++)
        for(int j=0;j<m;j++)
            cin>>s[i][j];
    cout<<-1;
    return 0;
}